# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define modname ast
%define soname %{modname}
%define inifile A50_%{modname}.ini
#define prerel beta
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)

Name:		php-%{modname}
Version:	1.1.2
Release:	%mkrel 2
Group:		Development/PHP
Summary:	PHP extension exports the AST internally used by PHP
License:	BSD-3-Clause
URL:		https://pecl.php.net/package/%{modname}
Source0:	https://pecl.php.net/get/%{modname}-%{version}%{?prerel}.tgz
BuildRequires:	php-devel >= 3:%{phplong}.0

%description
%{modname}

%package -n php%{phplong}-%{modname}
Group:		Development/PHP
Summary:	PHP extension exports the AST internally used by PHP
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{version}

%description -n php%{phplong}-%{modname}
php-ast exports the AST internally used by PHP.
php-ast is significantly faster than PHP-Parser, because the AST construction
is implemented in C. However, php-ast may only parse code that is syntactically
valid on the version of PHP it runs on.

%prep

%setup -q -n %{modname}-%{version}%{?prerel}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild
phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make_build

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_bindir}
install -m0755 modules/%{soname}.so %{buildroot}%{extdir}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}
EOF

%files -n php%{phplong}-%{modname}
%doc package*.xml README.md
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}.so


%changelog
* Fri Sep 13 2024 mokraemer <mokraemer> 1.1.2-2.mga10
+ Revision: 2095753
- rebuild for php 8.4 release

* Tue Aug 13 2024 mokraemer <mokraemer> 1.1.2-1.mga10
+ Revision: 2086536
- new version 1.1.2

* Sat Jan 20 2024 mokraemer <mokraemer> 1.1.1-6.mga10
+ Revision: 2032607
- rebuild for include path change

* Thu Jan 18 2024 mokraemer <mokraemer> 1.1.1-5.mga10
+ Revision: 2031941
- keep srpm name, with mulit-php
- change package name
- rebuild
- prepare multi-php

* Mon Nov 13 2023 mokraemer <mokraemer> 1.1.1-1.mga10
+ Revision: 2006540
- new release 1.1.1

* Fri Sep 08 2023 mokraemer <mokraemer> 1.1.0-4.mga10
+ Revision: 1985188
- rebuild for php 8.3

* Fri Nov 04 2022 mokraemer <mokraemer> 1.1.0-3.mga9
+ Revision: 1902342
+ rebuild (emptylog)

* Wed Aug 24 2022 mokraemer <mokraemer> 1.1.0-2.mga9
+ Revision: 1879765
- update extension for new directories

* Wed Aug 10 2022 mokraemer <mokraemer> 1.1.0-1.mga9
+ Revision: 1876714
- new version 1.1.0

* Fri Jul 22 2022 mokraemer <mokraemer> 1.0.16-4.mga9
+ Revision: 1869973
- fix dependancy error

* Thu Jul 21 2022 mokraemer <mokraemer> 1.0.16-3.mga9
+ Revision: 1869842
- rebuild for php 8.2

* Thu Mar 17 2022 umeabot <umeabot> 1.0.16-2.mga9
+ Revision: 1796803
- Mageia 9 Mass Rebuild

* Sat Nov 27 2021 mokraemer <mokraemer> 1.0.16-1.mga9
+ Revision: 1759708
- new version 1.0.16

* Fri Nov 26 2021 mokraemer <mokraemer> 1.0.14-2.mga9
+ Revision: 1759355
- rebuild for php 8.1

* Mon Jul 26 2021 mokraemer <mokraemer> 1.0.14-1.mga9
+ Revision: 1737852
- new version 1.0.14

* Sat Jul 10 2021 mokraemer <mokraemer> 1.0.13-1.mga9
+ Revision: 1735601
- new version 1.0.13

* Mon May 17 2021 mokraemer <mokraemer> 1.0.12-1.mga9
+ Revision: 1725190
- new version 1.0.12

* Tue Apr 20 2021 mokraemer <mokraemer> 1.0.11-1.mga9
+ Revision: 1717651
- new version 1.0.11

* Sun Nov 29 2020 mokraemer <mokraemer> 1.0.10-2.mga8
+ Revision: 1650232
+ rebuild (emptylog)

* Tue Sep 29 2020 mokraemer <mokraemer> 1.0.10-1.mga8
+ Revision: 1631120
- new version 1.0.10

* Fri Sep 04 2020 mokraemer <mokraemer> 1.0.9-1.mga8
+ Revision: 1621625
- new version 1.0.9

* Thu Aug 06 2020 mokraemer <mokraemer> 1.0.8-1.mga8
+ Revision: 1611362
- new version 1.0.8

* Sun Jul 12 2020 mokraemer <mokraemer> 1.0.7-1.mga8
+ Revision: 1605446
- new version 1.0.7

* Thu Jun 18 2020 mokraemer <mokraemer> 1.0.6-2.mga8
+ Revision: 1596229
- fix dep to current version

* Sun Feb 23 2020 mokraemer <mokraemer> 1.0.6-1.mga8
+ Revision: 1549597
- new version 1.0.6

* Tue Feb 18 2020 umeabot <umeabot> 1.0.5-3.mga8
+ Revision: 1538968
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 1.0.5-2.mga8
+ Revision: 1463513
+ rebuild (emptylog)

* Wed Nov 27 2019 mokraemer <mokraemer> 1.0.5-1.mga8
+ Revision: 1463199
- new php-ast 1.0.5

* Wed Nov 13 2019 mokraemer <mokraemer> 1.0.4-1.mga8
+ Revision: 1459815
- new version 1.0.4

* Mon Oct 21 2019 mokraemer <mokraemer> 1.0.3-2.mga8
+ Revision: 1454914
- removed dirname

* Sun Jul 28 2019 mokraemer <mokraemer> 1.0.3-1.mga8
+ Revision: 1424800
- new version 1.0.3

* Sun Jun 30 2019 mokraemer <mokraemer> 1.0.2-1.mga8
+ Revision: 1416402
- new version 1.0.2

* Mon Feb 11 2019 mokraemer <mokraemer> 1.0.1-1.mga7
+ Revision: 1365316
- new version 1.0.1

* Mon Dec 31 2018 mokraemer <mokraemer> 1.0.0-1.mga7
+ Revision: 1347592
- new version 1.0.0

* Wed Dec 12 2018 mokraemer <mokraemer> 0.1.7-3.mga7
+ Revision: 1340423
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 0.1.7-2.mga7
+ Revision: 1326070
- updated requires

* Sun Oct 07 2018 mokraemer <mokraemer> 0.1.7-1.mga7
+ Revision: 1318524
- new php module ast
- Created package structure for php-ast.

